package com.njcn.product.cnzutai.zutai.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.njcn.product.cnzutai.zutai.pojo.param.CsPageParm;
import com.njcn.product.cnzutai.zutai.pojo.po.CsPagePO;
import com.njcn.product.cnzutai.zutai.pojo.vo.CsPageVO;


/**
 * 
 * Description:
 * Date: 2023/5/31  14:31【需求编号】
 *
 * @author clam
 * @version V1.0.0
 */
public interface CsPagePOService extends IService<CsPagePO>{


    boolean add(CsPageParm csPageParm);

        boolean audit(CsPageParm.CsPageParmAuditParam auditParm);

        IPage<CsPageVO> queryPage(CsPageParm.CsPageParmQueryParam csPageParam);

    /**
     * 根据id获取组态页面数据
     * @param id
     * @return
     */
    CsPagePO queryById(String id);

    }
